netatalk 4.5.0
Free and Open Source Apple Filing Protocol (AFP) Server
Loading...
Searching...
No Matches
at_control.c File Reference
`#include <sys/param.h>`
`#include <sys/systm.h>`
`#include <sys/user.h>`
`#include <sys/types.h>`
`#include <errno.h>`
`#include <sys/ioctl.h>`
`#include <sys/mbuf.h>`
`#include <sys/kernel.h>`
`#include <sys/socket.h>`
`#include <sys/socketvar.h>`
`#include <net/if.h>`
`#include <net/af.h>`
`#include <net/route.h>`
`#include <netinet/in.h>`
`#include <netinet/if_ether.h>`
`#include "at.h"`
`#include "at_var.h"`
`#include "aarp.h"`
`#include "phase2.h"`

## Functions
void | atalk_hash (struct sockaddr_at *sat, struct afhash *hp)
int | atalk_netmatch (struct sockaddr_at *sat1, struct sockaddr_at *sat2)
| at_control (int cmd, caddr_t data, struct ifnet *ifp)
| at_scrub (struct ifnet *ifp, struct at_ifaddr *aa)
| at_ifinit (struct ifnet *ifp, struct at_ifaddr *aa, struct sockaddr_at *sat)
| at_broadcast (struct sockaddr_at *sat)
| aa_clean ()

## Variables
struct timeval | time

## Function Documentation

## ◆ aa_clean()

aa_clean | ( |  | ) |

## ◆ at_broadcast()

at_broadcast | ( | struct sockaddr_at * | sat | ) |

## ◆ at_control()

at_control | ( | int | cmd,
|  | caddr_t | data,
|  | struct ifnet * | ifp )

## ◆ at_ifinit()

at_ifinit | ( | struct ifnet * | ifp,
|  | struct at_ifaddr * | aa,
|  | struct sockaddr_at * | sat )

## ◆ at_scrub()

at_scrub | ( | struct ifnet * | ifp,
|  | struct at_ifaddr * | aa )

## ◆ atalk_hash()

void atalk_hash | ( | struct sockaddr_at * | sat,
|  | struct afhash * | hp )

## ◆ atalk_netmatch()

int atalk_netmatch | ( | struct sockaddr_at * | sat1,
|  | struct sockaddr_at * | sat2 )

Note the magic to get ifa_ifwithnet() to work without adding an ifaddr entry for each net in our local range.

## Variable Documentation

## ◆ time

struct timeval time
| extern